KXS_T
KXS_T
2021-01-16 15:34

import encoding时报错,麻烦大佬看看!

  • python

 

(base) D:\Programming\XIANGMU\GSCNN-master>D:/App/anaconda3/anaconda3.7/python.exe d:/Programming/XIANGMU/GSCNN-master/train.py
D:\App\anaconda3\anaconda3.7\lib\site-packages\torch\utils\cpp_extension.py:189: UserWarning: Error checking compiler version for cl: 'utf-8' codec can't decode byte 0xd3 in position 0: invalid continuation byte
  warnings.warn('Error checking compiler version for {}: {}'.format(compiler, error))
Traceback (most recent call last):
  File "D:\App\anaconda3\anaconda3.7\lib\site-packages\torch\utils\cpp_extension.py", line 960, in _build_extension_module
    check=True)
  File "D:\App\anaconda3\anaconda3.7\lib\subprocess.py", line 512, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['ninja', '-v']' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "d:/Programming/XIANGMU/GSCNN-master/train.py", line 381, in <module>
    main()
  File "d:/Programming/XIANGMU/GSCNN-master/train.py", line 128, in main
    assert_and_infer_cfg(args)
  File "d:\Programming\XIANGMU\GSCNN-master\config.py", line 86, in assert_and_infer_cfg
    import encoding
  File "D:\App\anaconda3\anaconda3.7\lib\site-packages\encoding\__init__.py", line 13, in <module>
    from . import nn, functions, parallel, utils, models, datasets, transforms
  File "D:\App\anaconda3\anaconda3.7\lib\site-packages\encoding\nn\__init__.py", line 12, in <module>
    from .encoding import *
  File "D:\App\anaconda3\anaconda3.7\lib\site-packages\encoding\nn\encoding.py", line 18, in <module>
    from ..functions import scaled_l2, aggregate, pairwise_cosine
  File "D:\App\anaconda3\anaconda3.7\lib\site-packages\encoding\functions\__init__.py", line 2, in <module>
    from .encoding import *
  File "D:\App\anaconda3\anaconda3.7\lib\site-packages\encoding\functions\encoding.py", line 14, in <module>
    from .. import lib
  File "D:\App\anaconda3\anaconda3.7\lib\site-packages\encoding\lib\__init__.py", line 15, in <module>
    ], build_directory=cpu_path, verbose=False)
  File "D:\App\anaconda3\anaconda3.7\lib\site-packages\torch\utils\cpp_extension.py", line 658, in load
    is_python_module)
  File "D:\App\anaconda3\anaconda3.7\lib\site-packages\torch\utils\cpp_extension.py", line 827, in _jit_compile
    with_cuda=with_cuda)
  File "D:\App\anaconda3\anaconda3.7\lib\site-packages\torch\utils\cpp_extension.py", line 880, in _write_ninja_file_and_build
    _build_extension_module(name, build_directory, verbose)
  File "D:\App\anaconda3\anaconda3.7\lib\site-packages\torch\utils\cpp_extension.py", line 972, in _build_extension_module
    message += ": {}".format(error.output.decode())
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xd3 in position 1115: invalid continuation byte

 

  • 点赞
  • 回答
  • 收藏
  • 复制链接分享

4条回答